# $Revision: 1.42 $, $Date: 2011/08/13 14:21:42 $
%define		status		stable
%define		pearname	Net_Sieve
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - handles talking to timsieved
Summary(pl.UTF-8):	%{pearname} - obsługa komunikacji z timsieved
Name:		php-pear-%{pearname}
Version:	1.3.2
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	a3fef921af839dfb25e4a3b8ad6ed191
URL:		http://pear.php.net/package/Net_Sieve/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-Net_Socket >= 1.0
Requires:	php-pear-PEAR-core >= 1:1.0
Suggests:	php-pear-Auth_SASL
Obsoletes:	php-pear-Net_Sieve-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Auth/SASL.*)

%description
Provides an API to talk to the timsieved server that comes with Cyrus
IMAPd. Can be used to install, remove, mark active etc sieve scripts.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Ten moduł udostępnia API do komunikacji z serwerem timsieved,
dołączonym do Cyrus IMAPd. Może być używany do instalowania, usuwania,
zaznaczania aktywności itp. skryptów sieve.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_Sieve.spec,v $
Revision 1.42  2011/08/13 14:21:42  glen
- updated to: 1.3.2

Revision 1.41  2011/03/01 06:28:52  glen
- release 3

Revision 1.40  2011/01/23 01:03:20  sparky
- dropped -tests subpackage

Revision 1.39  2010/08/21 19:08:15  glen
- updated deps with pearize.sh
- release 2

Revision 1.38  2010/08/20 13:05:42  glen
- updated to: 1.3.0

Revision 1.37  2008/05/03 09:09:45  adamg
- updated to 1.1.6

Revision 1.36  2008-01-31 12:16:49  glen
- rel 3

Revision 1.35  2007-09-13 11:22:10  baggins
- rel 2

Revision 1.34  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.33  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.32  2006/11/02 12:59:34  glen
- 1.1.5

Revision 1.31  2006/09/10 09:36:55  adamg
- updated to 1.1.4

Revision 1.30  2006/06/03 21:46:24  glen
- 1.1.3

Revision 1.29  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.28  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.27  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.26  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.25  2006/02/16 18:26:20  glen
- 1.1.2

Revision 1.24  2005/11/20 16:26:25  glen
- rel 3

Revision 1.23  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.22  2005/10/05 20:59:19  glen
- rel 2

Revision 1.21  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.20  2005/09/29 00:17:11  glen
- new pear packaging

Revision 1.19  2005/02/05 19:31:20  adamg
- updated to 1.1.1

Revision 1.18  2004/12/19 14:56:10  adamg
- updated to 1.1.0

Revision 1.17  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.16  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.15  2004/03/16 06:32:31  adamg
- added missing status information (it is stable)
- fixed License

Revision 1.14  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.13  2004/03/13 16:21:51  adamg
- updated to 1.0.1

Revision 1.12  2004/03/10 22:04:28  adamg
- updated to 1.0.0
- added test_sieve.php to %%doc

Revision 1.11  2004/03/01 16:08:32  adamg
- updated to 0.9.1

Revision 1.10  2004/02/01 21:16:43  adamg
- updated to 0.9.0

Revision 1.9  2003/10/07 20:56:02  adamg
- do not use macros in URL

Revision 1.8  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.7  2003/05/28 08:58:45  adamg
- massive attack: added source0-md5

Revision 1.6  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/10/14 23:49:49  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.4  2002/09/15 10:51:47  blues
- fix in macros

Revision 1.3  2002/07/27 14:00:41  blues
- 0.8.1 - STBR

Revision 1.2  2002/07/23 11:56:02  qboosh
- pl description

Revision 1.1  2002/07/21 19:49:33  blues
- initial release (description to translate...)
  STBR
